# Auth0 Docs > Auth0 documentation ## Docs - [Auth0 APIs](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api.md): Auth0 exposes the following APIs for developers to consume in their applications. - [Link](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/account-linking-legacy/link.md): This endpoint is **deprecated** for account linking. The [POST /api/v2/users/{id}/identities](/api/management/v2#!/Users/post_identities) should be used... - [Unlink](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/account-linking-legacy/unlink.md): This endpoint is **deprecated**. The [DELETE /api/v2/users/{id}/identities/{provider}/{user_id}](/api/management/v2#!/Users/delete_user_identity_by_user_id)... - [Authorize](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow-with-enhanced-privacy-protection/authorize.md): After calling the `/oauth/par` endpoint, redirect the end user to the `/authorize` endpoint using a `GET` call. - [Exchange Authorization Code for Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow-with-enhanced-privacy-protection/exchange-authorization-code-for-token.md): When users are redirected back to your callback, you need to make a `POST` call to the `oauth/token` endpoint to exchange an authorization code for an access... - [Push Authorization Requests (PAR)](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow-with-enhanced-privacy-protection/push-authorization-requests.md): To use Highly Regulated Identity features, you must have an Enterprise Plan with the Highly Regulated Identity add-on. Refer to [Auth0... - [Authorize](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow-with-pkce/authorize-with-pkce.md): This is the OAuth 2.0 grant that mobile apps utilize in order to access an API. Before starting with this flow, you need to generate and store a... - [Get Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow-with-pkce/get-token-pkce.md): This is the flow that mobile apps use to access an API. Use this endpoint to exchange an Authorization Code for a token. - [Authorize Application](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow/authorize-application.md): Begin an OAuth 2.0 Authorization flow by sending the user to the authorization URL to obtain consent and an authorization code. - [Get Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/authorization-code-flow/get-token.md): For token-based authentication, use the `oauth/token` endpoint to get an access token for your application to make authenticated calls to a secure API.... - [Change Password](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/change-password/change-password.md): Send a change password email to the user's provided email address and `connection`. - [Get Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/client-credential-flow/get-token.md): This is the OAuth 2.0 grant that server processes use to access an API. Use this endpoint to directly request an access token by using the application's... - [Get Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/custom-token-exchange/get-token.md): Custom Token Exchange (CTE) provides a mechanism for applications to exchange pre-existing identity tokens for Auth0 tokens by invoking the `/oauth/token`... - [Delegation](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/delegation-legacy/delegation.md): By default, this feature is disabled for tenants without an add-on in use as of 8 June 2017. Legacy tenants who currently use an add-on that requires... - [Authorize Device](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/device-authorization-flow/authorize-device.md): This flow is designed for input-constrained devices to access an API. Use this endpoint to obtain a device code that allows the user to authorize the device. - [Dynamic Application Registration](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/dynamic-application-client-registration/dynamic-application-registration.md): With a name and the necessary callback URL, you can dynamically register a client with Auth0. No token is needed for this request. - [Impersonation](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/impersonation-legacy/impersonation.md): Use this endpoint to obtain an impersonation URL to login as another user. Useful for troubleshooting. - [Authorize](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/implicit-flow/authorize.md): This is the OAuth 2.0 grant that web apps utilize in order to access an API. - [Authentication API](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/index.md): The Authentication API enables you to manage all aspects of user identity when you use Auth0. It offers endpoints so your users can log in, sign up, log out, access APIs, and more. - [Database/AD/LDAP (Active)](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login-legacy/database-ad-lapd-active.md): This endpoint is part of the legacy authentication pipeline and has been replaced in favor of the [Password Grant](#resource-owner-password). For more... - [Social with Provider's Access Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login-legacy/social-with-providers-access-token.md): This endpoint is part of the legacy authentication pipeline. We recommend that you open the browser to do social authentication instead, which is what [Google... - [Database/AD/LDAP (Passive)](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login/authenticate-using-database.md): Use the Auth0 user store or your own database to store and manage username and password credentials. If you have your own user database, you can use it as an... - [Back-Channel Login flow - Status Check](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login/check-back-channel-login-status.md): To check on the status of a Back-Channel Login flow, poll the `/oauth/token` endpoint at regular intervals by passing the following: - [Enterprise (SAML and Others)](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login/enterprise-saml-and-others.md): You can connect your Auth0 service to an enterprise identity provider and allow your users to log in to your application via Microsoft Azure Active Directory,... - [Social](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login/index.md): You can connect your Auth0 service to a social identity provider and allow your users to log in to your application via Facebook, Google, Apple, or other... - [Back-Channel Login](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/login/start-back-channel-login.md): The Back-Channel Login endpoint enables applications to send an authentication request to a user’s phone, or the authentication device, provided they have an... - [Auth0 Logout](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/logout/auth-0-logout.md): Use this endpoint to logout a user. If you want to navigate the user to a specific URL after the logout, set that URL at the `returnTo` parameter. The URL... - [Global Token Revocation](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/logout/global-token-revocation.md): Use this endpoint with the [Okta Workforce Identity Cloud Universal Logout](https://developer.okta.com/docs/guides/oin-universal-logout-overview/) to log... - [OIDC Logout](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/logout/oidc-logout.md): Use this endpoint to logout a user. If you want to navigate the user to a specific URL after the logout, set that URL at the `post_logout_redirect_uri`... - [SAML Logout](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/logout/saml-logout.md): Use this endpoint to log out a user from an Auth0 tenant configured as a SAML identity provider (IdP). Logout behavior is determined by the configuration of... - [Add an Authenticator](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/add-an-authenticator.md): Associates or adds a new authenticator for multi-factor authentication (MFA). - [Delete an Authenticator](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/delete-authenticator.md): Deletes an associated authenticator using its ID. You can get authenticator IDs by listing the authenticators. - [List Authenticators](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/list-authenticators.md): Returns a list of authenticators associated with your application. - [Challenge Request](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/request-mfa-challenge.md): The Multi-factor Authentication (MFA) API endpoints allow you to enforce MFA when users interact with [the Token endpoints](#get-token), as well as enroll and... - [Verify multi-factor authentication with one-time password (OTP)](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/verify-mfa-with-otp.md): Verifies multi-factor authentication (MFA) using a one-time password (OTP). To verify MFA with an OTP, prompt the user to get the OTP code, then make a... - [Verify with Out-of-Band (OOB)](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/verify-with-out-of-band.md): Verifies multi-factor authentication (MFA) using an out-of-band (OOB) challenge (either Push notification, SMS, or Voice). To verify MFA using an OOB... - [Verify with Recovery Code](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/muti-factor-authentication/verify-with-recovery-code.md): Verifies multi-factor authentication (MFA) using a recovery code. Some multi-factor authentication (MFA) providers (such as Guardian) support using a recovery... - [Authenticate User](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/passwordless/authenticate-user.md): Once you have a verification code, use this endpoint to login the user with their phone number/email and verification code. - [Get Code or Link](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/passwordless/get-code-or-link.md): Passwordless connections do not require the user to remember a password. Instead, another mechanism is used to prove identity, such as a one-time code sent... - [Verify](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/passwordless/verify.md): This feature is disabled by default for new tenants as of 8 June 2017. Please see [Application Grant Types](/applications/concepts/application-grant-types)... - [Refresh Access Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/refresh-token/refresh-token.md): Use this endpoint to refresh an Access Token using the Refresh Token you got during authorization. - [Resource Owner Password Grant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/resource-owner-legacy/resource-owner-password-grant.md): Given the user's credentials, this endpoint will authenticate the user with the provider and return a JSON object with the Access Token and an ID Token. - [Get Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/resource-owner-password-flow/get-token.md): This flow should only be used from highly-trusted applications that **cannot do redirects**. If you can use redirect-based flows from your app, we recommend... - [Revoke a Refresh Token](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/revoke-refresh-token/revoke-refresh-token.md): Use this endpoint to invalidate a Refresh Token if it has been compromised. - [Accept Request](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/saml/accept-saml-request.md): Use this endpoint to accept a SAML request to initiate a login. - [Get Metadata](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/saml/get-saml-metadata.md): This endpoint returns the SAML 2.0 metadata. - [IdP-Initiated Single Sign-On (SSO) Flow](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/saml/idp-initiated-sso.md): This endpoint accepts an IdP-Initiated Sign On SAMLResponse from a SAML Identity Provider. The connection corresponding to the identity provider is specified... - [Create a new user](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/signup/create-a-new-user.md): Given a user's credentials and a `connection`, this endpoint creates a new user. - [Token Exchange for Native Social](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/token-exchange-for-native-social/token-exchange-native-social.md): This flow is intended for use with native social interactions **only**. Use of this flow outside of a native social setting is highly discouraged. - [Get Token Info](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/user-profile-legacy/get-token-info.md): This endpoint is part of the legacy authentication pipeline and will be disabled for those who use our latest, OIDC conformant, pipeline. We encourage using... - [Get User Info](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/user-profile/get-user-info.md): Given the Auth0 Access Token obtained during login, this endpoint returns a user's profile. This endpoint will work only if `openid` was granted as a scope... - [Accept WS-Federation Request](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/ws-federation/accept-ws-federation-request.md): This endpoint accepts a WS-Federation request to initiate a login. - [Get WS-Federation Metadata](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/authentication/ws-federation/get-ws-federation-metadata.md): This endpoint returns the WS-Federation metadata. - [Create a new Actions Module](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/create-a-new-actions-module.md): Create a new Actions Module for reusable code across actions. - [Create a new version of an Actions Module](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/create-a-new-version-of-an-actions-module.md): Creates a new immutable version of an Actions Module from the current draft version. This publishes the draft as a new version that can be referenced by actions, while maintaining the existing draft for continued development. - [Create an action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/create-an-action.md): Create an action. Once an action is created, it must be deployed, and then bound to a trigger before it will be executed as part of a flow. - [Delete a specific Actions Module by ID](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/delete-a-specific-actions-module-by-id.md): Permanently delete an Actions Module. This will fail if the module is still in use by any actions. - [Delete an action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/delete-an-action.md): Deletes an action and all of its associated versions. An action must be unbound from all triggers before it can be deleted. - [Deploy an action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/deploy-an-action.md): Deploy an action. Deploying an action will create a new immutable version of the action. If the action is currently bound to a trigger, then the system will begin executing the newly deployed version of the action immediately. Otherwise, the action will only be executed as a part of a flow once it i… - [Get a specific Actions Module by ID](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-a-specific-actions-module-by-id.md): Retrieve details of a specific Actions Module by its unique identifier. - [Get a specific version of an action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-a-specific-version-of-an-action.md): Retrieve a specific version of an action. An action version is created whenever an action is deployed. An action version is immutable, once created. - [Get a specific version of an Actions Module](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-a-specific-version-of-an-actions-module.md): Retrieve the details of a specific, immutable version of an Actions Module. - [Get actions](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-actions.md): Retrieve all actions. - [Get an action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-an-action.md): Retrieve an action by its ID. - [Get an action's versions](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-an-actions-versions.md): Retrieve all of an action's versions. An action version is created whenever an action is deployed. An action version is immutable, once created. - [Get an execution](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-an-execution.md): Retrieve information about a specific execution of a trigger. Relevant execution IDs will be included in tenant logs generated as part of that authentication flow. Executions will only be stored for 10 days after their creation. - [Get trigger bindings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-trigger-bindings.md): Retrieve the actions that are bound to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The list of actions returned reflects the order in which they will be executed during the appropriate flow. - [Get triggers](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/get-triggers.md): Retrieve the set of triggers currently available within actions. A trigger is an extensibility point to which actions can be bound. - [List Actions Modules](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/list-actions-modules.md): Retrieve a paginated list of all Actions Modules with optional filtering and totals. - [List all actions using an Actions Module](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/list-all-actions-using-an-actions-module.md): Lists all actions that are using a specific Actions Module, showing which deployed action versions reference this Actions Module. - [List all versions of an Actions Module](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/list-all-versions-of-an-actions-module.md): List all published versions of a specific Actions Module. - [Roll back to a previous action version](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/roll-back-to-a-previous-action-version.md): Performs the equivalent of a roll-back of an action to an earlier, specified version. Creates a new, deployed action version that is identical to the specified version. If this action is currently bound to a trigger, the system will begin executing the newly-created version immediately. - [Rollback an Actions Module to a previous version](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/rollback-an-actions-module-to-a-previous-version.md): Rolls back an Actions Module's draft to a previously created version. This action copies the code, dependencies, and secrets from the specified version into the current draft. - [Test an Action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/test-an-action.md): Test an action. After updating an action, it can be tested prior to being deployed to ensure it behaves as expected. - [Update a specific Actions Module](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/update-a-specific-actions-module.md): Update properties of an existing Actions Module, such as code, dependencies, or secrets. - [Update an action](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/update-an-action.md): Update an existing action. If this action is currently bound to a trigger, updating it will not affect any user flows until the action is deployed. - [Update trigger bindings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/actions/update-trigger-bindings.md): Update the actions that are bound (i.e. attached) to a trigger. Once an action is created and deployed, it must be attached (i.e. bound) to a trigger so that it will be executed as part of a flow. The order in which the actions are provided will determine the order in which they are executed. - [Check if an IP address is blocked](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/anomaly/check-if-an-ip-address-is-blocked.md): Check if the given IP address is blocked via the Suspicious IP Throttling due to multiple suspicious attempts. - [Remove the blocked IP address](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/anomaly/remove-the-blocked-ip-address.md): Remove a block imposed by Suspicious IP Throttling for the given IP address. - [Get Bot Detection settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-bot-detection-settings.md): Get the Bot Detection configuration of your tenant. - [Get Breached Password Detection settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-breached-password-detection-settings.md): Retrieve details of the Breached Password Detection configuration of your tenant. - [Get Brute-force settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-brute-force-settings.md): Retrieve details of the Brute-force Protection configuration of your tenant. - [Get Suspicious IP Throttling settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-suspicious-ip-throttling-settings.md): Retrieve details of the Suspicious IP Throttling configuration of your tenant. - [Get the CAPTCHA configuration for a tenant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/get-the-captcha-configuration-for-a-tenant.md): Get the CAPTCHA configuration for your client. - [Partial Update for CAPTCHA Configuration](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/partial-update-for-captcha-configuration.md): Update existing CAPTCHA configuration for your client. - [Update Bot Detection settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/update-bot-detection-settings.md): Update the Bot Detection configuration of your tenant. - [Update Breached Password Detection settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/update-breached-password-detection-settings.md): Update details of the Breached Password Detection configuration of your tenant. - [Update Brute-force settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/update-brute-force-settings.md): Update the Brute-force Protection configuration of your tenant. - [Update Suspicious IP Throttling settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/attack-protection/update-suspicious-ip-throttling-settings.md): Update the details of the Suspicious IP Throttling configuration of your tenant. - [Configure the phone provider](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/configure-the-phone-provider.md): Create a phone provider. The credentials object requires different properties depending on the phone provider (which is specified using the name property). - [Create a phone notification template](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/create-a-phone-notification-template.md) - [Create branding theme](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/create-branding-theme.md): Create branding theme. - [Delete a phone notification template](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/delete-a-phone-notification-template.md) - [Delete branding theme](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/delete-branding-theme.md): Delete branding theme. - [Delete template for New Universal Login Experience](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/delete-template-for-new-universal-login-experience.md) - [Deletes a Phone Provider](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/deletes-a-phone-provider.md): Delete the configured phone provider. - [Get a list of phone notification templates](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-a-list-of-phone-notification-templates.md) - [Get a list of phone providers](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-a-list-of-phone-providers.md): Retrieve a list of phone providers details set for a Tenant. A list of fields to include or exclude may also be specified. - [Get a phone notification template](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-a-phone-notification-template.md) - [Get a phone provider](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-a-phone-provider.md): Retrieve phone provider details. A list of fields to include or exclude may also be specified. - [Get branding settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-branding-settings.md): Retrieve branding settings. - [Get branding theme](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-branding-theme.md): Retrieve branding theme. - [Get default branding theme](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-default-branding-theme.md): Retrieve default branding theme. - [Get template for New Universal Login Experience](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/get-template-for-new-universal-login-experience.md) - [Resets a phone notification template values](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/resets-a-phone-notification-template-values.md) - [Send a test phone notification for the configured provider](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/send-a-test-phone-notification-for-the-configured-provider.md) - [Send a test phone notification for the configured template](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/send-a-test-phone-notification-for-the-configured-template.md) - [Set template for New Universal Login Experience](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/set-template-for-new-universal-login-experience.md): Update the Universal Login branding template. - [Update a phone notification template](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/update-a-phone-notification-template.md) - [Update branding settings](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/update-branding-settings.md): Update branding settings. - [Update branding theme](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/update-branding-theme.md): Update branding theme. - [Update the phone provider](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/branding/update-the-phone-provider.md): Update a phone provider. The credentials object requires different properties depending on the phone provider (which is specified using the name property). - [Create client grant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/client-grants/create-client-grant.md): Create a client grant for a machine-to-machine login flow. To learn more, read Client Credential Flow. - [Delete client grant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/client-grants/delete-client-grant.md): Delete the Client Credential Flow from your machine-to-machine application. - [Get client grant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/client-grants/get-client-grant.md): Retrieve a single client grant, including the scopes associated with the application/API pair. - [Get client grants](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/client-grants/get-client-grants.md): Retrieve a list of client grants, including the scopes associated with the application/API pair. - [Get the organizations associated to a client grant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/client-grants/get-the-organizations-associated-to-a-client-grant.md) - [Update client grant](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/client-grants/update-client-grant.md): Update a client grant. - [Create a client](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/clients/create-a-client.md): Create a new client (application or SSO integration). For more information, read Create Applications API Endpoint… - [Create a client credential](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/clients/create-a-client-credential.md): Create a client credential associated to your application. Credentials can be used to configure Private Key JWT and mTLS authentication methods, as well as for JWT-secured Authorization requests. - [Delete a client](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/clients/delete-a-client.md): Delete a client and related configuration (rules, connections, etc). - [Delete a client credential](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/clients/delete-a-client-credential.md): Delete a client credential you previously created. May be enabled or disabled. For more information, read Client Credential Flow. - [Get client by ID](https://auth0-feat-authentication-api-migration.auth0-mintlify.app/docs/api/management/v2/clients/get-client-by-id.md): Retrieve client details by ID. Clients are SSO connections or Applications linked with your Auth0 tenant. A list of fields to include or exclude may also be specified. For more information, read Applications in Auth0 and Applications in Auth0 and Application, using checkpoint pagination. A list of fields to include or exclude for each connection may also be specified.